Firefox refuses cert after 2.3 upgrade



  • More general than just 2.3 (maybe) so I put it here. Basically I can reach the gui via Chrome or other browsers but FF is not allowing me.
    I have deleted cert.db, created a new profile, etc. and still no go. I created a new cert to use for the webconfigurator and Chrome accepted that but FF still refused. I also imported both the CA and cert into FF but it still would not let me in.

    The only thing that happened was upgrading pfsense to 2.3. I saw one thread when I searched with this issue and it didn't help me. I'm running FF 45.0.1 if that matters. Just very weird that it works without issue on Chrome. Biggest hangup is I use FF primarily and don't want to keep two browsers open just to manage pfsense (as I manage my homelab, etc.)

    Here is the message I get-

    The connection to 192.168.1.1:445 was interrupted while the page was loading.

    The page you are trying to view cannot be shown because the authenticity of the received data could not be verified.
        Please contact the website owners to inform them of this problem.

    Edit- The other thread's solution was a time issue. Both pfsense and all my computers (this is across multiple comps with FF) all have the correct EST time.


  • Rebel Alliance Developer Netgate

    Check about:config, look at the value for security.tls.version.max

    It should be unset (default '3'), someone else seeing a similar error had somehow managed to set it to 1, and we now disable TLS v1 for security reasons.


Log in to reply